import { jsx } from "react/jsx-runtime";
import { FileVideo as FileVideo$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileVideo = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileVideo", ...props, children: /* @__PURE__ */ jsx(FileVideo$1, { weight: variant }) });
  }
);
FileVideo.displayName = "FileVideo";
Object.assign(FileVideo, { isGdsIcon: true });
export {
  FileVideo
};
